
<b matDialogTitle> Cadastrar Novo Carro </b>

<mat-divider></mat-divider>
<br>
<div mat-dialog-content>

  <form [formGroup]="formGroup" (ngSubmit)="onSubmit()">

      <div>
        <mat-form-field>
          <input matInput placeholder="Modelo" type="text" formControlName="modelo" name="modelo">
          <mat-error *ngIf="formGroup.get('modelo').errors?.required">
            Campo <strong>obrigatório</strong>
          </mat-error>
        </mat-form-field>
      </div>

      <div>
        <mat-form-field>
          <input matInput type="text" placeholder="Marca" formControlName="marca"  name="marca">
          <mat-error *ngIf="formGroup.get('marca').errors?.required">
            Campo <strong>obrigatório</strong>
          </mat-error>
        </mat-form-field>
      </div>

      <div>
        <mat-form-field>
          <input matInput type="text" placeholder="Cor" formControlName="cor" name="cor">
          <mat-error *ngIf="formGroup.get('cor').errors?.required">
            Campo <strong>obrigatório</strong>
          </mat-error>
        </mat-form-field>
      </div>

      <div>
        <mat-form-field>
          <input type="number" matInput placeholder="Ano do Veiculo" formControlName="ano" name="ano">
          <mat-error *ngIf="formGroup.get('ano').errors?.required">
            Campo <strong>obrigatório</strong>
          </mat-error>
          <mat-error *ngIf="formGroup.get('ano').errors?.minlength">
            Ano <strong>Inválido!</strong>
          </mat-error>
          <mat-error *ngIf="formGroup.get('ano').errors?.min">
            Ano abaixo do Permitido,<strong> limite é ano 2000</strong>
          </mat-error>
        </mat-form-field>
      </div>

      <div>
        <mat-form-field>
          <input matInput type="number" placeholder="Valor" formControlName="valor" name="valor">
          <mat-error *ngIf="formGroup.get('valor').errors?.required">
            Campo <strong>obrigatório</strong>
          </mat-error>
          <mat-error *ngIf="formGroup.get('valor').errors?.minlength">
            Ano <strong>Inválido!</strong>
          </mat-error>
          <mat-error *ngIf="formGroup.get('valor').errors?.min">
            Valor muito <strong>abaixo do mercado</strong>.
          </mat-error>
        </mat-form-field>
      </div>


<br>
    <mat-divider></mat-divider>

    <div style="margin-top: 15px;">
        <div>
          <button mat-raised-button color="primary" class="cadastrar" type="submit" [disabled]="!formGroup.valid">Cadastrar</button>
          <button mat-raised-button (click)="close()" class="fechar" type="button">Fechar</button>
        </div>
      </div>

  </form>
</div>


